Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Class LetExpr

    java.lang.Object
      org.exist.xquery.AbstractExpression
          org.exist.xquery.BindingExpression
              org.exist.xquery.LetExpr

All Implemented Interfaces:
  Expression

public class LetExpr
extends BindingExpression

Implements an XQuery let-expression.

Author:
  Wolfgang Meier

Field Summary

Fields inherited from interface org.exist.xquery.Expression
`DOT_TEST, EXPRESSION_ID_INVALID, IGNORE_CONTEXT, IN_PREDICATE, IN_UPDATE, IN_WHERE_CLAUSE, NO_CONTEXT_ID, SINGLE_STEP_EXECUTION`

Constructor Summary
`LetExpr(XQueryContext context)`

Method Summary
`void` | `analyze(AnalyzeContextInfo contextInfo, OrderSpec[] orderBy)`
`void` | `dump(ExpressionDumper dumper)` Write a diagnostic dump of the expression to the passed `ExpressionDumper`.
`Sequence` | `eval(Sequence contextSequence, Item contextItem, Sequence resultSequence)`
`java.lang.String` | `toString()`

Methods inherited from class org.exist.xquery.BindingExpression
`analyze, eval, preselect, resetState, returnsType, setInputSequence, setOrderSpecs, setReturnExpression, setSequenceType, setVariable, setWhereExpression`

Methods inherited from class org.exist.xquery.AbstractExpression
`accept, eval, getASTNode, getCardinality, getContextDocSet, getContextId, getDependencies, getExpressionId, setASTNode, setContextDocSet, setPrimaryAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LetExpr

    public LetExpr(XQueryContext context)

Method Detail

### analyze

    public void analyze(AnalyzeContextInfo contextInfo,
                        OrderSpec[] orderBy)
                 throws XPathException

  Specified by:
    `analyze` in class `BindingExpression`
  Throws:
    `XPathException`

### eval

    public Sequence eval(Sequence contextSequence,
                         Item contextItem,
                         Sequence resultSequence)
                  throws XPathException

  Specified by:
    `eval` in class `BindingExpression`
  Throws:
    `XPathException`

### dump

    public void dump(ExpressionDumper dumper)

  Description copied from interface: `Expression`
  Write a diagnostic dump of the expression to the passed `ExpressionDumper`.

  Parameters:
    `dumper` - the expression dumper to write to

### toString

    public java.lang.String toString()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.